[Logcheck-commits] CVS logcheck/debian

CVS User ttroxell logcheck-devel@lists.alioth.debian.org
Tue, 20 Jul 2004 20:57:15 -0600


Update of /cvsroot/logcheck/logcheck/debian
In directory haydn:/tmp/cvs-serv9195/debian

Modified Files:
	changelog logcheck.postinst logcheck.preinst 
Log Message:
-moved adduser to postinst. seems to work for me, but please test!
	-fixing #258735
-corrected minor spelling error


--- /cvsroot/logcheck/logcheck/debian/changelog	2004/07/20 14:25:31	1.171
+++ /cvsroot/logcheck/logcheck/debian/changelog	2004/07/21 02:57:15	1.172
@@ -12,7 +12,7 @@
     thanks to Bastian Blank <waldi@debian.org>. (Closes: #258759)
   * Fix pid regex in cyrus rules. (Closes: #259092)
   * Added cyrus rules for notifyd. (Closes: #259466)
-  * Make shure logtail gets a logfile to read, if not exit soon.
+  * Make sure logtail gets a logfile to read, if not exit soon.
     Documented -o switch in logtail(8). (Closes: #259371)
   * Added logcheck-devel mail to logtail(8) and copyright.
   * Added userv rules. (Closes: #260105)
@@ -28,6 +28,7 @@
   * Added 2 kernel rules for sparc workstations.
   * Added nearly 50 squid rules. (Closes: #213711)
   * Fix anacron Normal exit rule.
+  * Move adduser from preinst to postinst (Closes: #258735)
 
  -- 
 
--- /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2004/07/19 13:57:11	1.18
+++ /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2004/07/21 02:57:15	1.19
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: logcheck.postinst,v 1.18 2004/07/19 13:57:11 maks-guest Exp $
+# $Id: logcheck.postinst,v 1.19 2004/07/21 02:57:15 ttroxell Exp $
 
 set -e
 
@@ -27,6 +27,14 @@
 
 case "$1" in
     configure)
+	# Add logcheck user
+    	if dpkg --compare-versions "$2" eq 1.2.19; then
+	   usermod -d /var/lib/logcheck logcheck > /dev/null 2>&1 || true
+    	elif dpkg --compare-versions "$2" lt 1.2.24; then
+	  adduser --quiet --system --no-create-home --group \
+	      --home /var/lib/logcheck logcheck || true
+	  adduser --quiet logcheck adm || true
+	fi
 	# Remove old directory
 	if dpkg --compare-versions "$2" lt "1.1.1-13.2"; then
 	    if [ -d /var/cache/logcheck ]; then
@@ -42,7 +50,7 @@
         if [ "$2" = "" -a ! -f /etc/logcheck/header.txt ]; then
           cp -p /usr/share/logcheck/header.txt /etc/logcheck
         fi
-	if dpkg --compare-versions "$2" lt 1.2.23; then
+	if dpkg --compare-versions "$2" lt 1.2.24; then
     	  # Fix Permissions
     	  chown -R logcheck:logcheck /var/lib/logcheck  || true
           chgrp -R logcheck /etc/logcheck || true
--- /cvsroot/logcheck/logcheck/debian/logcheck.preinst	2004/06/03 11:24:58	1.7
+++ /cvsroot/logcheck/logcheck/debian/logcheck.preinst	2004/07/21 02:57:15	1.8
@@ -16,13 +16,6 @@
 
 case "$1" in
     install|upgrade)
-    	if dpkg --compare-versions "$2" eq 1.2.19; then
-	   usermod -d /var/lib/logcheck logcheck > /dev/null 2>&1 || true
-    	elif dpkg --compare-versions "$2" lt 1.2.19; then
-	  adduser --quiet --system --no-create-home --group \
-	      --home /var/lib/logcheck logcheck || true
-	  adduser --quiet logcheck adm || true
-	fi
 	;;
     abort-upgrade)
 	;;